Subject: Re: bug#641: dbus-user-session: No stub package in Devuan

From: Mark Hindley <[email-masked]>
Date: Thu, 2 Dec 2021 07:26:29 +0000

Bernard,

On Wed, Dec 01, 2021 at 09:59:11PM +0100, Bernard Rosset wrote:
> Package: dbus-user-session
> Severity: normal
> 
> Dear Maintainer,
> 
> Debian-compatible packages depend on dbus-user-session, which in turn
> depends on systemd.
> Are there plans to have a stub package in Devuan to ensure compatibility?

Not that I am aware of.

As far as I understand dbus-user-session requires the 'systemd --user'. That is
why it is not available in Devuan.

If you look at https://pkgmaster.devuan.org/bannedpackages.txt, the list of
pacakges with an excusive dependency on dbus-user-session (and therefore banned)
is quite small:

dbus-user-session.[systemd]................|.......3........6.....8..............D..............I..J.
lomiri-app-launch.[dbus-user-session]......|.....................................D..............I..J.
openrazer-daemon.[dbus-user-session].......|......................8..............D..............I..J.
x2gothinclient-chroot.[dbus-user-session]..|.....................................D..............I..J.

What is your use case that is currently not met?

Thanks

Mark